### Function

# Camel InternetAddress format_address

#### Declaration [src]

    gchar*
    camel_internet_address_format_address (
      const gchar* name,
      const gchar* addr
    )

#### Description [src]

Function to format a single address, suitable for display.

#### Parameters

`name`

  Type: `const gchar*`

  A name, quotes may be stripped from it.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`addr`

  Type: `const gchar*`

  An rfc822 routing address.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gchar*`

A nicely formatted string containing the rfc822 address.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.